Create a note
POST
https://api.expirationreminder.com/v1/notesRequest Body
| Property | Type | Required | Description |
|---|---|---|---|
id |
string (uuid) |
No | - |
name |
string |
No | - |
body |
string |
No | - |
body_text |
string |
No | - |
team_id |
string (uuid) |
No | - |
created |
string |
No | - |
modified |
string |
No | - |
relations |
NoteRelationModel[] |
No | - |
Sample Request
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"body": "string",
"body_text": "string",
"team_id": "00000000-0000-0000-0000-000000000000",
"created": "string",
"modified": "string",
"relations": [
{
"entity_id": "00000000-0000-0000-0000-000000000000",
"entity_type": 0
}
]
}POST /v1/notes
$ curl https://api.expirationreminder.com/v1/notes \
-H "Authorization: Bearer <token>"
Responses
| Property | Type | Description |
|---|---|---|
id |
string (uuid) |
- |
name |
string |
- |
body |
string |
- |
body_text |
string |
- |
team_id |
string (uuid) |
- |
created |
string |
- |
modified |
string |
- |
relations |
NoteRelationModel[] |
- |
Example Response
{
"id": "00000000-0000-0000-0000-000000000000",
"name": "string",
"body": "string",
"body_text": "string",
"team_id": "00000000-0000-0000-0000-000000000000",
"created": "string",
"modified": "string",
"relations": [
{
"entity_id": "00000000-0000-0000-0000-000000000000",
"entity_type": 0
}
]
}Bad Request
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}Conflict
| Property | Type | Description |
|---|---|---|
message |
string |
- |
ok |
boolean |
- |
Example Response
{
"message": "string",
"ok": false
}